%define real_name PyYAML

Name:           python-yaml
Version:        3.10
Release:        %mkrel 2
Epoch:          0
Summary:        Python package implementing YAML parser and emitter
License:        MIT
Group:          Development/Python
URL:            http://pyyaml.org/
Source0:        http://pyyaml.org/download/pyyaml/PyYAML-%{version}.tar.gz
Provides:       %{real_name} = %{epoch}:%{version}-%{release}
BuildRequires:	yaml-devel python-devel

%description
PyYAML is a YAML parser and emitter for the Python programming
language. 

YAML is a data serialization format designed for human readability
and interaction with scripting languages.

%prep
%setup -q -n %{real_name}-%{version}

%build
export CFLAGS="%{optflags}"
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O2 --skip-build --root=%{buildroot} --prefix=%{_prefix}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc LICENSE README examples
%{python_sitearch}/yaml
%{python_sitearch}/*.so
%{python_sitearch}/*.egg-info



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0:3.10-2.mga3
+ Revision: 379721
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 17 2011 fwang <fwang> 0:3.10-1.mga2
+ Revision: 125322
- new version 3.10

* Sat Feb 26 2011 eandry <eandry> 0:3.09-3.mga2
+ Revision: 60843
- drop buildroot
- imported package python-yaml

